
package org.objectweb.fractal.bf;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.objectweb.fractal.bf package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _PrintAndAnswer_QNAME = new QName("http://bf.fractal.objectweb.org/", "printAndAnswer");
    private final static QName _HelloWorldException_QNAME = new QName("http://bf.fractal.objectweb.org/", "HelloWorldException");
    private final static QName _PrintResponse_QNAME = new QName("http://bf.fractal.objectweb.org/", "printResponse");
    private final static QName _GetBytes_QNAME = new QName("http://bf.fractal.objectweb.org/", "getBytes");
    private final static QName _BadMethodResponse_QNAME = new QName("http://bf.fractal.objectweb.org/", "badMethodResponse");
    private final static QName _PrintAndAnswerResponse_QNAME = new QName("http://bf.fractal.objectweb.org/", "printAndAnswerResponse");
    private final static QName _GetBytesResponse_QNAME = new QName("http://bf.fractal.objectweb.org/", "getBytesResponse");
    private final static QName _BadMethod_QNAME = new QName("http://bf.fractal.objectweb.org/", "badMethod");
    private final static QName _Print_QNAME = new QName("http://bf.fractal.objectweb.org/", "print");
    private final static QName _GetBytesArg0_QNAME = new QName("http://bf.fractal.objectweb.org/", "arg0");
    private final static QName _PrintAndAnswerResponseReturn_QNAME = new QName("http://bf.fractal.objectweb.org/", "return");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.objectweb.fractal.bf
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link AnyType2AnyTypeMap.Entry }
     * 
     */
    public AnyType2AnyTypeMap.Entry createAnyType2AnyTypeMapEntry() {
        return new AnyType2AnyTypeMap.Entry();
    }

    /**
     * Create an instance of {@link PrintAndAnswer }
     * 
     */
    public PrintAndAnswer createPrintAndAnswer() {
        return new PrintAndAnswer();
    }

    /**
     * Create an instance of {@link HelloWorldException }
     * 
     */
    public HelloWorldException createHelloWorldException() {
        return new HelloWorldException();
    }

    /**
     * Create an instance of {@link BadMethod }
     * 
     */
    public BadMethod createBadMethod() {
        return new BadMethod();
    }

    /**
     * Create an instance of {@link BadMethodResponse }
     * 
     */
    public BadMethodResponse createBadMethodResponse() {
        return new BadMethodResponse();
    }

    /**
     * Create an instance of {@link Print }
     * 
     */
    public Print createPrint() {
        return new Print();
    }

    /**
     * Create an instance of {@link GetBytes }
     * 
     */
    public GetBytes createGetBytes() {
        return new GetBytes();
    }

    /**
     * Create an instance of {@link AnyType2AnyTypeMap }
     * 
     */
    public AnyType2AnyTypeMap createAnyType2AnyTypeMap() {
        return new AnyType2AnyTypeMap();
    }

    /**
     * Create an instance of {@link GetBytesResponse }
     * 
     */
    public GetBytesResponse createGetBytesResponse() {
        return new GetBytesResponse();
    }

    /**
     * Create an instance of {@link PrintAndAnswerResponse }
     * 
     */
    public PrintAndAnswerResponse createPrintAndAnswerResponse() {
        return new PrintAndAnswerResponse();
    }

    /**
     * Create an instance of {@link PrintResponse }
     * 
     */
    public PrintResponse createPrintResponse() {
        return new PrintResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PrintAndAnswer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bf.fractal.objectweb.org/", name = "printAndAnswer")
    public JAXBElement<PrintAndAnswer> createPrintAndAnswer(PrintAndAnswer value) {
        return new JAXBElement<PrintAndAnswer>(_PrintAndAnswer_QNAME, PrintAndAnswer.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HelloWorldException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bf.fractal.objectweb.org/", name = "HelloWorldException")
    public JAXBElement<HelloWorldException> createHelloWorldException(HelloWorldException value) {
        return new JAXBElement<HelloWorldException>(_HelloWorldException_QNAME, HelloWorldException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PrintResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bf.fractal.objectweb.org/", name = "printResponse")
    public JAXBElement<PrintResponse> createPrintResponse(PrintResponse value) {
        return new JAXBElement<PrintResponse>(_PrintResponse_QNAME, PrintResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetBytes }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bf.fractal.objectweb.org/", name = "getBytes")
    public JAXBElement<GetBytes> createGetBytes(GetBytes value) {
        return new JAXBElement<GetBytes>(_GetBytes_QNAME, GetBytes.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BadMethodResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bf.fractal.objectweb.org/", name = "badMethodResponse")
    public JAXBElement<BadMethodResponse> createBadMethodResponse(BadMethodResponse value) {
        return new JAXBElement<BadMethodResponse>(_BadMethodResponse_QNAME, BadMethodResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PrintAndAnswerResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bf.fractal.objectweb.org/", name = "printAndAnswerResponse")
    public JAXBElement<PrintAndAnswerResponse> createPrintAndAnswerResponse(PrintAndAnswerResponse value) {
        return new JAXBElement<PrintAndAnswerResponse>(_PrintAndAnswerResponse_QNAME, PrintAndAnswerResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetBytesResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bf.fractal.objectweb.org/", name = "getBytesResponse")
    public JAXBElement<GetBytesResponse> createGetBytesResponse(GetBytesResponse value) {
        return new JAXBElement<GetBytesResponse>(_GetBytesResponse_QNAME, GetBytesResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BadMethod }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bf.fractal.objectweb.org/", name = "badMethod")
    public JAXBElement<BadMethod> createBadMethod(BadMethod value) {
        return new JAXBElement<BadMethod>(_BadMethod_QNAME, BadMethod.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Print }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bf.fractal.objectweb.org/", name = "print")
    public JAXBElement<Print> createPrint(Print value) {
        return new JAXBElement<Print>(_Print_QNAME, Print.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AnyType2AnyTypeMap }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bf.fractal.objectweb.org/", name = "arg0", scope = GetBytes.class)
    public JAXBElement<AnyType2AnyTypeMap> createGetBytesArg0(AnyType2AnyTypeMap value) {
        return new JAXBElement<AnyType2AnyTypeMap>(_GetBytesArg0_QNAME, AnyType2AnyTypeMap.class, GetBytes.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bf.fractal.objectweb.org/", name = "return", scope = PrintAndAnswerResponse.class)
    public JAXBElement<String> createPrintAndAnswerResponseReturn(String value) {
        return new JAXBElement<String>(_PrintAndAnswerResponseReturn_QNAME, String.class, PrintAndAnswerResponse.class, value);
    }

}
